<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('clearances', function (Blueprint $table) {
            $table->longtext('signatories')->after('to_date')->nullable();
            $table->tinyInteger('status')->after('signatories')->default(0);
            $table->longText('last_pay_computation')->after('attachment')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('clearances', function (Blueprint $table) {
            $table->dropColumn('signatories');
            $table->dropColumn('status');
            $table->dropColumn('last_pay_computation');
        });
    }
};
